View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
06346Bug reportsStatisticspublic2012-07-25 15:43
Reporteruser20956Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.92+ 
Fixed in Version1.92+ 
Summary06346: Statistic page filter
DescriptionOn the survey statistic page, there are some general filters.
One of them is the report language.

Let's imagine there are 2 languages, French and English.
Now, if I select French and generate a HTML statistics report. Upon reloading the page with results the language filter is back to English.
So, if I want to generate few reports with different response filters, I have to make sure that I don't forget to switch back the language every time.
TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)120623
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5
Server OS (if known)CentOS
Webserver software & version (if known)Apache
PHP VersionPHP 5

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

c_schmitz

c_schmitz

2012-07-20 12:12

administrator   ~19865

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9064
c_schmitz

c_schmitz

2012-07-20 12:12

administrator   ~19866

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9065

Related Changesets

LimeSurvey: Yii 73545ac9

2012-07-20 03:11:36

c_schmitz

Details Diff
Fixed issue 06346: Statistic page filter not remembering statistics language Affected Issues
06346
mod - application/controllers/admin/statistics.php Diff File
mod - application/views/admin/export/statistics_view.php Diff File

LimeSurvey: master 9384ec72

2012-07-20 03:11:46

c_schmitz

Details Diff
Fixed issue 06346: Statistic page filter not remembering statistics language Affected Issues
06346
mod - admin/statistics.php Diff File

Issue History

Date Modified Username Field Change
2012-07-19 15:53 user20956 New Issue
2012-07-20 12:03 c_schmitz Assigned To => c_schmitz
2012-07-20 12:03 c_schmitz Status new => assigned
2012-07-20 12:12 c_schmitz Changeset attached => LimeSurvey Yii 73545ac9
2012-07-20 12:12 c_schmitz Note Added: 19865
2012-07-20 12:12 c_schmitz Resolution open => fixed
2012-07-20 12:12 c_schmitz Changeset attached => LimeSurvey master 9384ec72
2012-07-20 12:12 c_schmitz Note Added: 19866
2012-07-20 12:12 c_schmitz Status assigned => resolved
2012-07-20 12:12 c_schmitz Fixed in Version => 1.92+
2012-07-25 15:43 c_schmitz Status resolved => closed